Bug 485876 - missing options in rhn-satellite-activate.8
missing options in rhn-satellite-activate.8
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
530
All Linux
low Severity low
: ---
: ---
Assigned To: Milan Zazrivec
Sayli Karmarkar
:
Depends On:
Blocks: 456985
  Show dependency treegraph
 
Reported: 2009-02-17 02:44 EST by Jan Hutař
Modified: 2015-03-22 21:09 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:33:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2009-02-17 02:44:49 EST
Description of problem:
There are missing options in the rhn-satellite-activate.8 man-page, but
'--help' lists them.


Version-Release number of selected component (if applicable):
spacewalk-backend-tools-0.5.6-1.el5sat


How reproducible:
always


Steps to Reproduce:
1. # rhn-satellite-activate --help
2. # man rhn-satellite-activate


Actual results:
Missing in man page:
	--ignore-version-mismatch


Expected results:
All options should be in both outputs (man page and --help message)


Additional info:
Used mmalik's script for this (gives some false-positives):
# cd /mnt/qa/scratch/mmalik/options-comparator/
# ./compare-options.sh `type -p rhn-satellite-activate`
Program path:
	/usr/bin/rhn-satellite-activate
Guessing man page path:
	/usr/share/man/man8/rhn-satellite-activate.8.gz
The binary analysis was NOT done
Doing man page vs. usage message comparison

The program reported 13 option(s)
The man page reported 11 option(s)
11 COMMON option(s):
	--disconnected
	--help
	--ignore-expiration
	--no-ssl
	--rhn-cert
	--sanity-only
	--systemid
	--verbose
	-h
	-v
	-vvv
2 option(s) reported by the program ONLY:
	--ignore-version-mismatch
	--usage
0 option(s) reported by the man page ONLY:
Comment 1 Milan Zazrivec 2009-02-18 03:47:55 EST
spacewalk.git / master: 360483092718ec1b1036a9faa7da813df2bd5ff8
Comment 2 Sayli Karmarkar 2009-02-23 16:33:04 EST
Verified. 

man rhn-satellite-activate
...

--ignore-version-mismatch
              execute regardless of version mismatch of existing and new certificate.

...


~SayliK
Comment 3 Miroslav Suchý 2009-08-25 11:23:45 EDT
--ignore-version-mismatch
              execute regardless of version mismatch of existing and new certificate.

verified in stage on xen5
Comment 4 Brandon Perkins 2009-09-10 16:33:26 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.